- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeSegment Member List

This is the complete list of members for IpeSegment, including all inherited members.

Distance(const IpeVector &v, double bound) const | IpeSegment |
Distance(const IpeVector &v) const | IpeSegment |
Intersects(const IpeSegment &seg, IpeVector &pt) const | IpeSegment |
Intersects(const IpeLine &l, IpeVector &pt) const | IpeSegment |
iP | IpeSegment |
IpeSegment() | IpeSegment | `[inline]`
IpeSegment(const IpeVector &p, const IpeVector &q) (defined in IpeSegment) | IpeSegment | `[inline, explicit]`
iQ | IpeSegment |
Line() const | IpeSegment | `[inline]`
Project(const IpeVector &v, IpeVector &projection) const | IpeSegment |
snap(const IpeVector &mouse, IpeVector &pos, double &bound) const | IpeSegment |